BuildArch:  noarch

Name:           boxtron
Version:        0.5.4
Release:        1%{?dist}
Summary:        Steam Play compatibility tool to run DOS games using native Linux DOSBox

License:        GPLv2
URL:            https://github.com/dreamer/boxtron
Source0:        https://github.com/dreamer/boxtron/archive/refs/tags/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  python3
BuildRequires:  which
BuildRequires:  libX11
Requires:       dosbox-staging
Requires:       inotify-tools
Requires:       timidity++
Requires:       fluid-soundfont-gm
Requires:       steam

%description
Steam Play compatibility tool to run DOS games using native Linux DOSBox

This is a sister project of Luxtorpeda, Roberta, and DOSBox Staging.
Features
Lower input lag (compared to DOSBox inside Proton)
Steam features working as expected (e.g. Steam Cloud, Controller settings or recording of time played)
Better fullscreen support, especially on multi-monitor setups*
Steam Overlay working out of the box*
More configuration options and better defaults*
Automatic detection of MIDI hardware, with software synthesiser used as fallback
Automatic MIDI setup for supported titles (click Play and enjoy pre-configured MIDI music)


%prep
%autosetup


%build
%make_build test prefix=%{_prefix}


%install
rm -rf $RPM_BUILD_ROOT
%make_install prefix=%{_prefix}


%files
%license LICENSE
%doc README.md PACKAGING.md CONTRIBUTING.md
%{_datadir}/boxtron/
%{_datadir}/steam/compatibilitytools.d/boxtron.vdf
%{_bindir}/install-gog-game


%changelog
* Sat Jun 29 2024 Martin
- Initial package
